Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Data Fields Globals

# wxactivex.h File Reference

## Detailed Description

implements wxActiveX window class and OLE tools

Definition in file wxactivex.h.

`#include <wx/setup.h>`
`#include <wx/wx.h>`
`#include <wx/variant.h>`
`#include <wx/datetime.h>`
`#include <oleidl.h>`
`#include <exdisp.h>`
`#include <docobj.h>`
`#include <iostream>`
`#include <vector>`
`#include <map>`

Go to the source code of this file.

## Namespaces
namespace | NS_wxActiveX
namespace | std
## Data Structures
class | wxAutoOleInterface
| Template class for smart interface handling. More...
class | wxActiveX
| Main class for embedding a ActiveX control. More...
class | ParamX
| General parameter and return type infoformation for Events, Properties and Methods. More...
class | FuncX
| Type & Parameter info for Events and Methods. More...
class | PropX
| Type info for properties. More...
## Defines
#define | EVT_ACTIVEX(id, eventName, fn) DECLARE_EVENT_TABLE_ENTRY(RegisterActiveXEvent(wxT(eventName)), id, -1, (wxObjectEventFunction) (wxEventFunction) (wxActiveXEventFunction) & fn, (wxObject *) NULL ),
| Event handle for events by name.
#define | EVT_ACTIVEX_DISPID(id, eventDispId, fn) DECLARE_EVENT_TABLE_ENTRY(RegisterActiveXEvent(eventDispId), id, -1, (wxObjectEventFunction) (wxEventFunction) (wxActiveXEventFunction) & fn, (wxObject *) NULL ),
| Event handle for events by DISPID (dispath id).
## Functions
wxString | OLEHResultToString (HRESULT hr)
| Converts a std HRESULT to its error code. Hardcoded, by no means a definitive list.
wxString | GetIIDName (REFIID riid)
| Returns the string description of a IID. Hardcoded, by no means a definitive list.

## Define Documentation

#define DECLARE_OLE_UNKNOWN | ( | cls |  | ) |

| Value:
    private:\
        class TAutoInitInt\
        {\
            public:\
            LONG l;\
            TAutoInitInt() : l(0) {}\
        };\
        TAutoInitInt refCount, lockCount;\
        wxOleInit oleInit;\
            static void _GetInterface(cls *self, REFIID iid, void **_interface, const char *&desc);\
        public:\
        LONG GetRefCount();\
            HRESULT STDMETHODCALLTYPE QueryInterface(REFIID iid, void ** ppvObject);\
            ULONG STDMETHODCALLTYPE AddRef();\
            ULONG STDMETHODCALLTYPE Release();\
        ULONG STDMETHODCALLTYPE AddLock();\
            ULONG STDMETHODCALLTYPE ReleaseLock()
Definition at line 184 of file wxactivex.h.

#define DEFINE_OLE_BASE | ( | cls |  | ) |

| Value:
    void cls::_GetInterface(cls *self, REFIID iid, void **_interface, const char *&desc)\
            {\
                    *_interface = NULL;\
                desc = NULL;
Definition at line 264 of file wxactivex.h.

#define OLE_INTERFACE | ( | _iid,
|  | _type |  | ) |

| Value:
    if (IsEqualIID(iid, _iid))\
        {\
            WXOLE_TRACE("Found Interface <" # _type ">");\
            *_interface = (IUnknown *) (_type *) self;\
            desc = # _iid;\
            return;\
        }
Definition at line 270 of file wxactivex.h.

#define OLE_INTERFACE_CUSTOM | ( | func |  | ) |

| Value:
    if (func(self, iid, _interface, desc))\
            {\
            return;\
            }
Definition at line 281 of file wxactivex.h.